6.0.0-git
2019-12-06

[#12137] Enhance install_dev to enable framework copy
Summary Enhance install_dev to enable framework copy
Queue Horde Framework Packages
Queue Version Git develop
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester hordetest (at) trash-mail (dot) com
Created 2013-03-23 (2449 days ago)
Due
Updated 2016-01-28 (1408 days ago)
Assigned
Resolved
Milestone
Patch No

History
2016-01-28 16:20:26 Jan Schneider State ⇒ Accepted
 
2013-03-26 19:50:39 hordetest (at) trash-mail (dot) com Comment #3 Reply to this comment
In my setup I have to copy the framework. Would be nice to configure 
this thru the install_dev.conf. At the moment I created my own 
install_dev script.
2013-03-25 11:16:20 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
For what reason?
2013-03-23 14:48:08 hordetest (at) trash-mail (dot) com Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Enhance install_dev to enable framework copy
Queue ⇒ Horde Framework Packages
Milestone ⇒
Patch ⇒ No
Reply to this comment
Introduce a new parameter in install_dev.conf  to allow also framework 
copy with install_dev script:

if ($frmwcopy) {
system(__DIR__ . '/install_framework --copy --src ' . 
escapeshellarg($horde_git) . '/framework --dest ' . 
escapeshellarg($web_dir . '/libs') . ' --horde ' . 
escapeshellarg($web_dir));
} else {
system(__DIR__ . '/install_framework --src ' . 
escapeshellarg($horde_git) . '/framework --dest ' . 
escapeshellarg($web_dir . '/libs') . ' --horde ' . 
escapeshellarg($web_dir));
}

Saved Queries